body {
    background: #f0f0f0;
    font-size: 1rem;
}
a {
    text-decoration: none;
}
#javascript_banner {
    padding: 0;
    margin: 0;
    position: fixed;
    width: 100%;
    height: 100%;
    background: white;
    font-size: 3rem;
    text-align: center;
    opacity: 0.9;
    color: red;
    font-weight: bold;
    z-index: 10;
}
#help_form {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 5;
    background: #f0f0f0;
}
#help_panel {
    display: grid;
    row-gap: 2ex;
    position: relative;
    min-width: 60ex;
    max-width: 100ex;
    width: 90%;
    padding-top: 2ex;
    margin: auto;
}
#help_input {
    text-align: center;
}
.network_issues {
    position: fixed;
    top: 0;
    right: 0;
    background: red;
    color: white;
    padding: 1ex;
    font-weight: bold;
    z-index: 10;
}
#to_the_top {
    position: fixed;
    bottom: 0;
    left: 0;
    margin: 0.5ex;
}
.buttons {
    font-size: 1.2rem;
    margin: 0;
    padding: 0.5ex;
    background: #0070ff;
    color: #f0f0f0;
    border-width: 0;
}
.buttons:hover {
    background: #0057c6;
    color: white;
}
.buttons:disabled {
    background: #73b1ff;
    color: #c0c0ff;
}

.search_panel {
    margin: 3ex;
    display: grid;
    row-gap: 1ex;
    align-content: center;
    justify-content: center;
    align-items: center;
    justify-items: center;
}
.search_line {
    display: grid;
    row-gap: 0;
    width: 75ex;
    column-gap: 1ex;
    grid-template-columns: 1fr;
}
.label {
    font-size: 0.9rem;
    color: #909090;
}
.search_input {
    padding: 0.2ex;
    font-size: 1.3rem;
}
.search_buttons {
    margin-top: 3ex;
    display: grid;
    grid-template-columns: 1fr 1fr;
    row-gap: 0;
    column-gap: 1ex;
    width: 75ex;
}


#cases_header {
    min-width: 75ex;
    max-width: 140ex;
    width: 90%;
    margin: auto;
    margin-top: 3ex;
    margin-bottom: 1ex;
    font-size: 1rem;
    text-align: left;
    color: #909090;
}
#cases_block {
    display: grid;
    row-gap: 2ex;
    min-width: 75ex;
    max-width: 140ex;
    width: 90%;
    margin: auto;
    text-align: left;
}
.case_card {
    position: relative;
    padding: 1ex;
    border-top: solid;
    border-left: solid;
    border-width: 1px;
    border-color: #b0b0b0;
    text-align: left;
}
.case_buttons {
    position: absolute;
    top: 0;
    right: 0;
    margin: 0.5ex;
}
#cases_footer {
    min-width: 75ex;
    max-width: 140ex;
    width: 90%;
    margin: auto;
    margin-top: 2ex;
    margin-bottom: 3ex;
    font-size: 1rem;
    text-align: center;
    color: #909090;
}
#bottom_panel {
    height: 4ex;
    min-width: 75ex;
    max-width: 140ex;
    width: 90%;
    margin: auto;
    margin-top: 2ex;
    margin-bottom: 3ex;
    font-size: 1rem;
    text-align: center;
    color: #909090;
}
#button_more {
    padding: 0.5ex 2ex 0.5ex 2ex;
    font-size: 1.2rem;
}
#page_footer {
    padding: 1ex;
    margin-top: 3ex;
    margin-left: 10ex;
    margin-right: 10ex;
    font-size: 1rem;
    color: #909090;
    text-align: right;
    border-top: solid;
    border-width: 1px;
    border-color: #b0b0b0;
}
